/*
* Copyright 2022-2023 ETSI TeraFlowSDN - TFS OSG (https://tfs.etsi.org/)
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*      http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package eu.teraflow.automation.model;

import eu.teraflow.automation.context.model.DeviceConfig;

public class DeviceRoleConfig {

    private final DeviceRole deviceRole;
    private final DeviceConfig deviceConfig;

    public DeviceRoleConfig(DeviceRole deviceRole, DeviceConfig deviceConfig) {
        this.deviceRole = deviceRole;
        this.deviceConfig = deviceConfig;
    }

    public DeviceRole getDeviceRole() {
        return deviceRole;
    }

    public DeviceConfig getDeviceConfig() {
        return deviceConfig;
    }

    @Override
    public String toString() {
        return String.format("%s:{%s, %s}", getClass().getSimpleName(), deviceRole, deviceConfig);
    }
}
